Bug 1309678 - different data in Graphite UI and Kitoon
different data in Graphite UI and Kitoon
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: anmol babu
Martin Bukatovic
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 08:01 EST by Martin Kudlej
Modified: 2016-08-09 13 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhscon-core-0.0.34-1.el7scon.x86_64 rhscon-ceph-0.0.33-1.el7scon.x86_64 rhscon-ui-0.0.47-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Graphite graph without peaks (133.27 KB, image/png)
2016-02-18 08:12 EST, Martin Kudlej
no flags Details
memory consumption in Kitoon (24.01 KB, image/png)
2016-02-18 08:18 EST, Martin Kudlej
no flags Details
memory consumption in Kitoon after a while (23.61 KB, image/png)
2016-02-18 08:19 EST, Martin Kudlej
no flags Details
verification screenshot 1: RHSC 2.0 charts from host dashboard (21.01 KB, image/png)
2016-08-09 13:17 EDT, Martin Bukatovic
no flags Details
verification screenshot 2: graphite-web plots for the same (53.08 KB, image/png)
2016-08-09 13:17 EDT, Martin Bukatovic
no flags Details

  None (edit)
Description Martin Kudlej 2016-02-18 08:01:34 EST
Description of problem:
I see in Graphite UI for example for one node for memory consumption different graph than in Kitoon. For example in Graphite there are no peaks there because there are no changes in memory usage. In Kitton I see peaks(list of hosts) so I expect that there is no real data but random one.

Version-Release number of selected component (if applicable):
rhscon-core-0.0.8-4.el7.x86_64
rhscon-ceph-0.0.6-4.el7.x86_64
rhscon-ui-0.0.14-1.el7.noarch

How reproducible:
100%

Actual results:
There are differences between Graphite graphs and graphs in Kitoon for same data type for one node.

Expected results:
Data in graphs will be in Graphite and Kitoon similar.
Comment 1 Martin Kudlej 2016-02-18 08:12 EST
Created attachment 1128220 [details]
Graphite graph without peaks
Comment 2 Martin Kudlej 2016-02-18 08:18 EST
Created attachment 1128221 [details]
memory consumption in Kitoon
Comment 3 Martin Kudlej 2016-02-18 08:19 EST
Created attachment 1128222 [details]
memory consumption in Kitoon after a while
Comment 6 Nishanth Thomas 2016-06-03 09:14:59 EDT
Can you please verify this issue is reproducible?
Comment 7 Nishanth Thomas 2016-06-20 09:35:19 EDT
As discussed in the bug scrub meeting, the issue with peaks in utilization graphs(caused due to null values being plotted) is fixed. Also you have to take the polling intervals into account when comparing the values in usm vs graphite
Comment 8 Martin Bukatovic 2016-08-09 13:16:42 EDT
This is a comment with QE verification details.

Version-Release
===============

On RHSC 2.0 server machine:

ceph-installer-1.0.14-1.el7scon.noarch
ceph-ansible-1.0.5-32.el7scon.noarch
rhscon-ui-0.0.52-1.el7scon.noarch
rhscon-core-selinux-0.0.41-1.el7scon.noarch
rhscon-ceph-0.0.40-1.el7scon.x86_64
rhscon-core-0.0.41-1.el7scon.x86_64

On Ceph 2.0 machines:

ceph-common-10.2.2-36.el7cp.x86_64
ceph-selinux-10.2.2-36.el7cp.x86_64
rhscon-core-selinux-0.0.41-1.el7scon.noarch
rhscon-agent-0.0.18-1.el7scon.noarch

Verification
============

I no longer see such big discrepancies between graphite data and charts shown
in RHSC 2.0 console. When I check sparkline chart of some value on given machine
and compare it with chart as plotted by graphite-web interface, I see that both
plots resembles each other. See attached screenshots.
Comment 9 Martin Bukatovic 2016-08-09 13:17 EDT
Created attachment 1189362 [details]
verification screenshot 1: RHSC 2.0 charts from host dashboard
Comment 10 Martin Bukatovic 2016-08-09 13:17 EDT
Created attachment 1189363 [details]
verification screenshot 2: graphite-web plots for the same

Note You need to log in before you can comment on or make changes to this bug.